//  main: main.less, out: ../style.css

/* 
====================================================================================================================================
PAGE
======================================================================================================================================
*/

.c-page__title {
    color: @color-white;
    margin: 0;
}

.c-page__breadcrumb, .c-news__date {
    width: 100%;
    height: @margin__l;
    padding: 0 @margin__m;
    background-color: fade(@color-dark, 80%);
    color: white;
    font-size: @size__s;
    text-transform: lowercase;
    .u-flex-display;
    .u-justify-content(space-between);
    .u-align-items(center);
    & > p {
        margin: 0;
    }
    span, a {
        color: white;
        text-decoration: none;
    }
    span.breadcrumb_last {
        font-weight: @font_w__b;
    }
    @media @media_smartphone {
        .u-justify-content(center);
        padding: 15px @margin__s;
        & > p {
            display: none;
        }
        &.filter {
            position: fixed;
            top:@header__h + 1px; 
        }
    }

    .c-news__filter {
        a{
            padding: 8px 16px;
            background-color: @color-tetiary;
            .u-border-radius(20px);
            .transition-elastic--long;
    
            &:hover {
                background-color: darken(@color-tetiary, 4%);
            }
        }
        select {
            appearance: none;
            -moz-appearance: none;
            -webkit-appearance: none;
            padding: 6px 40px 6px 16px;
            background-color: @color-tetiary;
            border: none;
            outline: none;
            cursor: pointer;
            color: white;
            font-size: @size__s;
            font-family: @font_base;
            background-image: url('images/ic_arrow__download.svg');
            background-position: center right 16px;
            background-repeat: no-repeat;
            background-size: 8px;
            .u-border-radius(20px);        
            @media @media_smartphone {
                width: 40px;
                padding: 6px;
                background-position: center;
                text-indent: 1000px;    
            }
        }
    }
}

.c-page__header {
    position: relative;
    width: 100%;
    height: 570px;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;
    z-index: 1;

    &:after {
        position: absolute;
        content: '';
        display: block;
        left: 0;
        right: 0;
        bottom: 0;
        height: 80px;
        .u-linear-gradient(0deg, fade(@color-primary, 100%), fade(@color-primary, 0%));
        z-index: -1;
    }
    &:before {
        position: absolute;
        content: '';
        display: block;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background-color: fade(@color-primary, 80%);
        z-index: -1;
    }
    &.full {
        width: 100%;
        .c-pageheader__col1 {
            width: 100%;
        }
    }
    .c-pageheader__inner {
        height: 100%;
        padding: 0;
        .u-flex-display;
        .u-align-items(flex-end);
    }

    @media @media_smartphone, @media_tablet {
        height: 100vh;
        // &.half {
        //     height: auto;
        // }
        .c-pageheader__inner {
            .u-flex-direction(column-reverse)
        }
    }
}

.c-pageheader__col1, .c-pageheader__col2 {
    width: 50%;
    height: 400px;
    .u-flex-display;
    .u-align-items(flex-start);
    .u-justify-content(space-between);
    .u-flex-direction(column);
}

.c-pageheader__col1 {
    @media @media_smartphone, @media_tablet {
        width: 100%;
    }
    @media @media_smartphone {
        height: 100vh;
    }
}

.c-pageheader__col2 {
    @media @media_smartphone, @media_tablet {
        display: none;
    }
}

.c-pageheadercol1__inner {
    height: 100%;
    width: 100%;
    padding: 0 @margin__m;
    .u-flex-display;
    .u-align-items(center);
    &.archive {
        .u-flex-direction(column);
        .u-align-items(flex-start);
        .u-justify-content(center);
        .archive-description {
            color: @color-white;
        }
    }

    .news {
        font-family: @font_titles;
        color: white;
        text-transform: uppercase;

        span {
            font-family: @font_base;
            font-weight: @font_w__l;
        }
    }
    .post-categories {
        padding: 0;
        margin: 0;
        li {
            list-style-type: none;
        }
        a {
            text-decoration: none;
            color: @color-white;
        }
    }
    @media @media_tablet {
        padding: 0 @margin__m;
    }
    @media @media_smartphone {
        padding: 0 @margin__s;
    }
}

.c-pageheader__img {
    width: 100%;
    height: 100%;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.c-page__container {
    background-color: white;
    padding: @margin__m;
    //margin-bottom: @margin__xl*2;
    min-height: 280px;
    @media @media_smartphone {
        padding: @margin__s;
    }
}

// GALERRY
.wp-block-gallery {
    margin: @margin__m auto;
}
